## CustomPresentationBuilder

Simplify the creation of PowerPoint presentations with pandas DataFrames and multi-image arrangements.

# Description

Creating professional PowerPoint presentations programmatically can be a tedious task, especially when dealing with
complex layouts like tables and image grids. CustomPresentationBuilder is a Python library designed to streamline this
process by providing an easy-to-use interface for adding pandas DataFrames as tables and arranging multiple images
within your slides.

With this tool, you can specify precise sizes in millimeters for your tables and images, ensuring your presentation
elements are exactly where you want them. It also supports custom font styles, including fonts like "ＭＳ Ｐゴシック (
本文)", allowing for consistent and professional styling throughout your slides.

# Key Features

Pandas DataFrame to PowerPoint Table:

# Convert DataFrames into PowerPoint tables effortlessly.

Specify table dimensions in millimeters for precise placement.
Customize header and cell fonts, including font name, size, and weight.
Supports bold headers and regular cell text with specified fonts.
Multi-Image Arrangement:

# Arrange multiple images in a grid format within a slide.

Define image sizes and positions in millimeters.
Automatically calculates optimal layout based on the number of images.
Custom Slide Layouts:

# Support for various slide layouts, including title slides, content slides, and custom configurations.

Add text, images, tables, or combinations to slides.
Flexible placement and styling options for all slide elements.

# Easy-to-Use API:

Intuitive class-based interface for building presentations.
Define slide contents using simple dictionaries.
Minimal code required to generate complex slides.

# Why Use CustomPresentationBuilder?
Save Time: Automate the repetitive tasks of adding tables and images to slides.
Increase Productivity: Focus on the content rather than the formatting details.
Professional Results: Achieve consistent and polished presentations with minimal effort.
Flexibility: Highly customizable to fit various presentation needs.